Bug 588025 - Missing icons in menus
Missing icons in menus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-02 05:58 EDT by Christoph Wickert
Modified: 2010-05-08 10:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-2.30.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-08 10:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2010-05-02 05:58:00 EDT
Description of problem:
When the menus are set to display icons, some menu entries lack their icons. This is due to the new naming scheme in gnome-icon-theme.

Version-Release number of selected component (if applicable):
evolution-2.30.0-3.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. $ gconftool-2 --type boolean --set /desktop/gnome/interface/menus_have_icons true
2. start evolution
3. look through the menus
  
Actual results:
The following menu entries have broken images:
Mailer main window:
File -> New -> Contact list
            -> Memo
            -> Shared Memo
Message -> Copy to Folder...
        -> Move to Folder...
        -> Apply Filters
Folder -> Copy Folder to...
       -> Move Folder to...

Contacts main window:
Actions -> Move all Contact to...

Calendar main window:
View -> Select today

Note that by "broken" I don't mean that they have no icon but that gtk-missing-image is displayed.

Expected results:
All menu entries should have icons.

Additional info:
Please ask the maintainer of gnome-icon-theme for the new names of the icons or to bring the old ones back. So far Matthias has shown no intentions to bring the icons back, see http://lists.fedoraproject.org/pipermail/desktop/2010-April/006066.html

console output, only icon related messages:
$ LANG=C evolution
** (evolution:7270): CRITICAL **: categories_icon_theme_hack: assertion `filename != NULL && *filename != '\0'' failed

(evolution:7270): e-table-WARNING **: Icon 'stock_new-meeting' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-lowest' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-lower' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-low' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-normal' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-high' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-higher' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-highest' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_score-higher' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_notes' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_task' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_task-recurring' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_task-assigned' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_task-assigned-to' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_check-filled' not present in theme

(evolution:7270): e-table-WARNING **: Icon 'stock_notes' not present in theme

(evolution:7270): e-utils-WARNING **: Icon 'stock_bell' not present in theme

(evolution:7270): e-utils-WARNING **: Icon 'stock_timezone' not present in theme

(evolution:7270): e-utils-WARNING **: Icon 'stock_people' not present in theme
Comment 1 Matthew Barnes 2010-05-02 19:32:02 EDT
I agree with Matthias on this issue.  The dropped icons from gnome-icon-theme are now bundled directly in Evolution, although I made a few blunders in my initial attempts to get them installed properly.  Should be fixed for the most part in Evolution 2.30.1, already in updates-testing.
Comment 2 Christoph Wickert 2010-05-03 03:31:50 EDT
I have updated to 2.30.1 and the list of missing icons has become longer:

Mailer main window:
File -> New -> All Day Appointment
            -> Assigned Task
            -> Contact list
            -> Meeting
            -> Memo
            -> Shared Memo
            -> Task
            -> Memo List
            -> Task List
Message -> Copy to Folder...
        -> Move to Folder...
        -> Apply Filters
Folder -> Copy Folder to...
       -> Move Folder to...

Contacts main window:
Actions -> Move all Contact to...

Calendar main window:
View -> Select today
Comment 3 Matthew Barnes 2010-05-08 10:14:21 EDT
All of the aforementioned icons are present with:

evolution-2.30.1-3.fc13
gnome-icon-theme-2.30.2-1.fc13

Note You need to log in before you can comment on or make changes to this bug.